IBM Support

Upgrade fails with being unable to execute

Technote (troubleshooting)


Upgrade fails with being unable to execute


Upgrade fails to complete with following exception

StdErr: /usr/WebSphere/wp_profile/PortalServer/bin/../..
actions/ 0403-006 Execute permission denied.


There appears to be an issue with the Portal Update Installer when upgrading on an AIX system.



Diagnosing the problem

Even with setting full permissions before the upgrade attempt, the Portal Update Installer will set the permissions on the file so that no user has execute ability on the file.

Resolving the problem

Upgrade to latest Portal Update Installer version 20121128

Document information

More support for: WebSphere Portal

Software version: 6.1, 7.0

Operating system(s): AIX

Reference #: 1619858

Modified date: 08 January 2013